var e2pdf = {
    updateViewArea: function (event, iframe) {
        if (iframe.hasClass('e2pdf-pages-loaded')) {
            var viewer_h = jQuery(event.target).find('#viewer').outerHeight();
            if (viewer_h) {
                iframe.innerHeight(viewer_h + event.target.offsetTop);
            }
        }
    }
}

jQuery(document).ready(function () {

    if (jQuery('.e2pdf-download.e2pdf-auto').length > 0) {
        jQuery('.e2pdf-download.e2pdf-auto').each(function () {
            if (jQuery(this).hasClass('e2pdf-inline')) {
                window.open(jQuery(this).attr('href'), '_blank');
            } else {
                location.href = jQuery(this).attr('href');
            }
        });
    }

    if (jQuery('.e2pdf-view').length > 0) {
        jQuery('.e2pdf-view').each(function () {
            var pdfIframe = jQuery(this);
            pdfIframe.load(function () {
                var pdfIframeContents = jQuery(this).contents();
                pdfIframe.addClass('e2pdf-view-loaded');
                pdfIframeContents.find('html').addClass('e2pdf-view-loaded');
                pdfIframeContents[0].addEventListener('pagesloaded', function (event) {
                    pdfIframe.addClass('e2pdf-pages-loaded');
                    pdfIframeContents.find('html').addClass('e2pdf-pages-loaded');
                    pdfIframeContents.find('#viewerContainer').scrollTop(0);
                    e2pdf.updateViewArea(event, pdfIframe);
                });
                if (pdfIframe.hasClass('e2pdf-responsive')) {
                    pdfIframeContents[0].addEventListener('updateviewarea', function (event) {
                        e2pdf.updateViewArea(event, pdfIframe);
                    });
                }
            });
        });
    }
});






